## org.apache.bcel.generic
Class MONITOREXIT

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.MONITOREXIT

All Implemented Interfaces:
  java.lang.Cloneable, ExceptionThrower, java.io.Serializable, StackConsumer

public class MONITOREXIT
extends Instruction
implements ExceptionThrower, StackConsumer

MONITOREXIT - Exit monitor for object

    Stack: ..., objectref -> ...

Version:
  $Id: MONITOREXIT.java,v 1.1.1.1 2001/10/29 20:00:23 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`MONITOREXIT()`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`java.lang.Class[]` `getExceptions()`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, getLength, getOpcode, initFromFile, produceStack, readInstruction, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### MONITOREXIT

    public MONITOREXIT()

Method Detail

### getExceptions

    public java.lang.Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
  Overrides:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object